Package org.apache.struts2.views.util

# Class ContextUtil

java.lang.Object
org.apache.struts2.views.util.ContextUtil

public class ContextUtil extends Object
Value Stack's Context related Utilities.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACTION`
  `static final String`
  `BASE`
  `static final String`
  `REQUEST`
  `static final String`
  `RESPONSE`
  `static final String`
  `SESSION`
  `static final String`
  `STACK`
  `static final String`
  `STRUTS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Map<String,Object>`
  `getStandardContext(ValueStack stack, jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)`
  `static String`
  `getTemplateSuffix(Map<String,Object> context)`
  Returns a String for overriding the default templateSuffix if templateSuffix is on the stack

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### REQUEST

    public static final String REQUEST
    See Also:
      - Constant Field Values

  - ### RESPONSE

    public static final String RESPONSE
    See Also:
      - Constant Field Values

  - ### SESSION

    public static final String SESSION
    See Also:
      - Constant Field Values

  - ### BASE

    public static final String BASE
    See Also:
      - Constant Field Values

  - ### STACK

    public static final String STACK
    See Also:
      - Constant Field Values

  - ### STRUTS

    public static final String STRUTS
    See Also:
      - Constant Field Values

  - ### ACTION

    public static final String ACTION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ContextUtil

    public ContextUtil()

- ## Method Details

  - ### getStandardContext

    public static Map<String,Object> getStandardContext(ValueStack stack, jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)

  - ### getTemplateSuffix

    public static String getTemplateSuffix(Map<String,Object> context)
    Returns a String for overriding the default templateSuffix if templateSuffix is on the stack
    Parameters:
      `context` - stack's context
    Returns:
      String